Subject: bug#13500: 24.2.92; tetris score grows after ending the game

From: Sven Joachim <[email-masked]>
Date: Sat, 19 Jan 2013 19:10:52 +0100

> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':

Start tetris with M-x tetris and keep pressing SPC until the playing
area is filled.  Now Emacs writes the score to
~/.emacs.d/games/tetris-scores, but not only once but several times per
second, increasing the score each time as if the game is still going on
(press C-g to stop that).

,----
| 199 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:41 2013
| 194 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:41 2013
| 188 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:41 2013
| 182 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:40 2013
| 176 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:40 2013
| 170 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:39 2013
| 164 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:39 2013
| 158 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:39 2013
| 152 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:38 2013
| 147 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:38 2013
| 141 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:37 2013
| 135 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:37 2013
| 129 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:37 2013
| 123 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:36 2013
| 118 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:36 2013
| 112 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:35 2013
| 106 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:35 2013
| 100 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:35 2013
| 94 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:34 2013
| 89 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:34 2013
| 84 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:33 2013
| 79 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:33 2013
| 73 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:33 2013
| 67 sven Sven Joachim <[email-masked]>  Sat Jan 19 18:54:32 2013
`----

This is a regression from previous releases.

In GNU Emacs 24.2.92.4 (i486-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2013-01-19 on turtle
Bzr revision: 111189 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux

Configured using:
 `configure '--build=i486-pc-linux-gnu' '--without-gconf'
 'build_alias=i486-pc-linux-gnu''

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
M-x t e t r i s <return> <return> SPC SPC SPC SPC SPC 
SPC SPC SPC SPC SPC C-g M-x r e p o r t - e m <tab> 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Buffer is read-only: #<buffer *Tetris*>
Loading vc-git...done
Quit

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils vc-git disp-table tetris gamegrid
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)